Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class DialUpLoginParameterManager

java.lang.Object
ru.bitel.bgbilling.modules.dialup.server.bean.DialUpLoginParameterManager

public class DialUpLoginParameterManager extends Object
Менеджер параметров логина DialUp

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialUpLoginParameterManager(Connection con, int mid, Preferences moduleSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getLogForLogins(Map<String,Object> dataMap, List<String[]> loginList, String name, Map<Integer,User> userMap)`
  Получает логи для логина (для JSP)
  `void`
  `getLogForLogins(Element logs, Element logins, String name, Map<Integer,User> userMap)`
  Получает логи для логинов (для Веба)
  `Map<String,DialUpLoginParameter>`
  `getLoginParameter(int lid)`
  Возвращает карту параметров логина (имя-параметр)
  `boolean`
  `saveLoginParameter(int lid, String name, String value)`
  Сохраняет параметр логина
  `void`
  `writeLog(int lid, String name, String value, int userId)`
  Записывает лог об изменении параметров

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DialUpLoginParameterManager

    public DialUpLoginParameterManager(Connection con, int mid, Preferences moduleSetup)

- ## Method Details

  - ### getLoginParameter

    public Map<String,DialUpLoginParameter> getLoginParameter(int lid) throws SQLException
    Возвращает карту параметров логина (имя-параметр)
    Parameters:
      `lid` - код логина
    Returns:
      HashMap
    Throws:
      `SQLException`

  - ### saveLoginParameter

    public boolean saveLoginParameter(int lid, String name, String value) throws SQLException
    Сохраняет параметр логина
    Parameters:
      `lid` - код логина
      `name` - имя параметра
      `value` - значение параметра
    Returns:
      true, если сохранение успешно
    Throws:
      `SQLException`

  - ### writeLog

    public void writeLog(int lid, String name, String value, int userId) throws SQLException
    Записывает лог об изменении параметров
    Parameters:
      `lid` - код логина
      `name` - имя параметра
      `value` - значение параметра
      `userId` - код пользователя
    Throws:
      `SQLException`

  - ### getLogForLogins

    public void getLogForLogins(Element logs, Element logins, String name, Map<Integer,User> userMap) throws Exception
    Получает логи для логинов (для Веба)
    Parameters:
      `logs` - элемент, дочерние элементы которого будут являться лог-записями
      `logins` - элемент, дочерние элементы которого содержат логины, для которых получаются логи
      `name` - имя параметра
      `userMap` - карта пользователей (используется для преобразования "код пользователя"=>"имя пользователя"
    Throws:
      `SQLException`
      `Exception`

  - ### getLogForLogins

    public void getLogForLogins(Map<String,Object> dataMap, List<String[]> loginList, String name, Map<Integer,User> userMap) throws Exception
    Получает логи для логина (для JSP)
    Parameters:
      `dataMap` - карта данных
      `loginList` - список логинов
      `name` - имя параметра
      `userMap` - карта пользователей
    Throws:
      `SQLException`
      `Exception`